List of Figures

Figure 1-1. DIM Adapter for Financial Management Architecture 3

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
NEXT


List of Tables

Table A-1. Financial Management and Corresponding Transformation Datatypes 54

Table B-1. Default Values for Mapping Variables 61

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV NEXT


Understanding_Data_Integration_Management_Adapter_for_HFM.html

PREV NEXT

Understanding Hyperion Data Integration Management Adapter for Financial Management

This chapter includes the following topics:

  • Overview
  • Architectural Overview


Overview

Oracle's Hyperion®Data Integration Management Adapter for Financial Management (DIM Adapter for Financial Management) provides bi-directional connectivity between PowerCenter and Oracle® Hyperion Financial Management, Fusion Edition, which enables you to extract and load data, load metadata, and consolidate data. It provides a way to transfer the data stored in a Financial Management application to any Informatica target. The DIM Adapter for Financial Management supports read and write access to Financial Management application data by making calls to the Financial Management application server.


Architectural Overview

Figure 1-1 shows the architecture of the DIM Adapter for Financial Management:

Figure 1-1. DIM Adapter for Financial Management Architecture

The functions of the major components marked in the architectural diagram are:

  • (A). Registers the metadata definition for a Financial Management application with the Repository Server.
  • (B). Lets you configure Financial Management source and target definitions in the Designer.
  • (C). Reads the Financial Management application information into the Informatica PowerCenter Connect environment.
  • (D). Writes data from PowerCenter to the Financial Management application database.


Working with Hyperion Financial Management Sources

This chapter includes the following topics:

  • Overview
  • Importing a Financial Management Source Definition
  • Troubleshooting


Overview

In this chapter, you will learn how to use the DIM Adapter for Financial Management to create a source definition in the PowerCenter Repository.

Complete the following steps to import a Financial Management source definition:

  1. Create a DSN for the source definition.
  2. Create the source definition.

Once you import the source definition, it appears as a table in the Designer. The columns of this table are dimensions of the Financial Management application.


Importing a Financial Management Source Definition

Use the Import Hyperion Financial Management dialog box to create a Financial Management source definition.

To import a Financial Management source definition:

  1. In the Source Analyzer window, click Sources > Import from Hyperion Financial Management.

    The following figure shows the Import Hyperion Financial Management dialog box:

  2. To work with an existing DSN, select the DSN from the DSN Name list.
  3. In Password, enter a password.
  4. Click Connect.

Creating a DSN for the Source Definition

DSN is a set of information that connects the application. The information includes elements like Financial Management application cluster name, user name, and password. You can use the following procedure to create multiple DSNs.

To create a DSN for the source definition:

  1. In the Import Hyperion Financial Management dialog box, click Browse next to the DSN Name list.

    The DSN Creation dialog box appears:

  2. In DSN, enter a name for the DSN.
  3. In Description, enter a brief description for the DSN.

    You must specify a name for the DSN; but the description is optional.

  4. Select a cluster from the Cluster list.

    The clusters registered in the client are the available clusters. Hence, the Financial Management client should be configured with the clusters registered in it to run the adapter.

  5. Enter a user name and password for the server.
  6. Click Test Connectivity to check if the connection is valid.
  7. On a successful connection, click Save to complete the DSN creation and return to the Import Hyperion Financial Management dialog box.

    Click Cancel anytime to exit the DSN creation.

Creating Source Definitions

This section describes the process to create a source definition. You can create a source definition after you create a DSN.

To create a source definition:

  1. In the Import Hyperion Financial Management dialog box, select a DSN from the list.
  2. The location and user name are taken by default.
  3. Enter a password.
  4. Click Connect.

    A list of applications available in the cluster appear in the left tree view.

  5. Select an application, and click Create Table.

    The Create Table for Source dialog box appears.

    The dimensions in the selected application are listed on the left. You can expand the Period dimension to show frequencies.

    You can select dimensions from the list or from the data grid on the right and use the >, >>, <, and << buttons to add dimensions to the grid or remove them from the grid.

    The data grid has these fields: The data grid has the columns: Dimension, Column Name, Precision, Scale, and Map Variable. You can edit the contents of all columns except Dimension to define a table in the repository.

    The Scenario, Year, View, Entity, Account, and Period dimensions have mapping variables. You can filter out members of the dimension using mapping variables. See Mapping Variables for Hyperion Financial Management.

  6. Enter a name for the table in Table Name.
  7. Select the dimensions for the data grid.
  8. Edit the data in the grid, if necessary.
  9. Click Save to add the table definition to the repository.

    The table is listed under Sources in the Import Hyperion Financial Management dialog box.

  10. To see the table definition in PowerCenter Designer, click OK.

Creating Members Lists

You can use the Enumerate Members method to create a table that defines a members list as a source.

To create a members list as a source:

  1. In the Import Hyperion Financial Management dialog box, select a DSN from the list.
  2. The location and user name are taken by default.
  3. Enter a password.
  4. Click Connect.

    A list of applications available in the cluster appear in the left tree view.

  5. Select an application, and click Enumerate Members.
  6. Enter a name for the table and these parameters, and click OK:
    • Dimension Name—The dimension (selected from a drop-down list) for which you are creating the members list
    • List Name—A label for the list

      Note: A list name that begins with the characters $$ is a mapping variable. Use the parameter file to enter a value value for the variable, or enter a valuer value when you create a mapping. If you do not want to use a parameter file, we should enter a list name without the $$ characters in the target table.

    • List Top Member (optional)—The name of the top member in the list

      The table that you create is added to the list of source tables that you can import.

      An Enumerate Members List source has only one port, Members. All parameters for this source are created as the metadata extensions that you can edit in Source Designer.


Troubleshooting

Failed to Load DLL: HFMClientPlugin.dll for Plug-in: HFMConnector, Vendor: Informatica, The specified module could not be found.

  • This error may occur if the Financial Management client is not installed on the client computer.
  • Ensure that HFMClientPlugin.dll is in the PATH variable.


Working with Hyperion Financial Management Targets

This chapter includes the following topics:

  • Overview
  • Importing a Financial Management Target Definition
  • Creating Target Definitions
  • Creating Financial Management Transformations
  • Mapping Transformations to Commit Targets
  • Mapping Transformations to Commit Targets


Overview

In this chapter, you will learn how to use DIM Adapter for Financial Management to create a target definition.

Complete the following steps to import a Financial Management target definition:

  1. Create a DSN for the target definition.
  2. For importing metadata (application and dimension definitions), create a Financial Management transformation.
  3. Create the target definition.

This section provides information on operations performed on target definitions.


Importing a Financial Management Target Definition

You must use the Transformation Developer to create a Financial Management target definition.

To import a Financial Management target definition:

  1. From Warehouse Designer, select Transformation > Import from Hyperion Financial Management.

    The Import Financial Management Target dialog box appears.

  2. To work with an existing DSN, select the DSN from the DSN list.
  3. Click Connect.
  4. Enter a password.

Creating a DSN for a Target Definition

DSN is a set of information that connects the application. The information includes elements like Financial Management application Cluster Name, User Name, and Password.

To create a DSN for the target definition:

  1. In the Import Hyperion Financial Management dialog box, click the ellipses button to the right of the DSN box.

    The DSN Creation dialog box appears:

  2. In DSN Name, enter a name for the DSN.
  3. In Description, enter a brief description for the DSN.

    You must enter a name for the DSN; but the description is optional.

  4. Select a cluster from the Cluster list.

    The clusters registered in the client are the available clusters. Hence, to run the adapter, the Financial Management client should be configured and the clusters registered in it.

  5. Enter a user name and password for the server.
  6. To check if the connection is valid, click Test Connectivity.
  7. On a successful connection, click Save to complete the DSN creation and return to the Import Financial Management Target dialog box.

    Click Cancel anytime to exit the DSN creation.

    You can create multiple DSNs using this mapping.


Creating Target Definitions

Use the following procedure to create a target definition. You can create a target definition after you create a DSN.

To create a target definition:

  1. In the Import Hyperion Financial Management dialog box, select a DSN from the list.
  2. The system takes the Cluster and User Name by default.
  3. Enter a password.
  4. Click Connect to view the list of applications available under the cluster on the left tree view.
  5. Select an application, and click Create Table.

    The Create Table for Target dialog box appears.

    The dimensions of the selected application are listed on the left. Using the buttons between the dimensions list and the data grid on the right, you can add dimensions to the grid or remove dimensions from the grid. Using the Up and Down buttons to the right of the grid, you can reorder the dimensions.

    The data grid includes these columns: Dimension, Column Name, Precision, and Scale. You can edit the entries in all columns except for Dimension. All dimensions are mandatory.

  6. Enter a name for the table in Table Name.
  7. Select the dimensions for the data grid.
  8. Edit the data in the grid, if necessary.
  9. Click Save to add the table definition to the application.

    The Import Hyperion Financial Management dialog box appears, with the new table included in the Created Tables list.

  10. Click OK to create a target definition in the repository.

    The following figure shows an example of a Financial Management target definition created using the Import Financial Management Target in the Designer:

Creating Consolidation Targets

You create a consolidate target to consolidate the values in a Financial Management application. To create a consolidation target:

  1. From Warehouse Designer, select Targets > Import from Hyperion Financial Management.

    The Import Hyperion Financial Management dialog box appears.

  2. Click an application name, and then click Consolidate.

    .

  3. Enter a target table name in the Consolidate dialog box, and then click OK.

    The target table appears in Informatica PowerCenter Designer.

Creating Commit Targets

You use a commit target to apply metadata import generations to a Financial Management application. A commit target collects the data from Financial Management transformations and creates a consolidated XML file, which is passed to Financial Management in a request.

To create a commit target:

  1. From Warehouse Designer, select Transformation > Import from Hyperion Financial Management.

    The Import Financial Management Target dialog box appears.

  2. Select an application, and click Commit.

    The Import Commit dialog box appears.

  3. Click OK.

    The following figure shows an example of a commit target for the Comma application:

    Each field in the target receives data from the corresponding output port of a transformation; for example, the ImportAccounts field receives data from the ImportAccounts output port.

Keeping Temporary Files on Erros

The commit target operation now provides the option Keep temporary files on errors. If the option is switched off, the temporary files are always deleted. If the option is switched on and a fatal error occurs during metadata load, the generated files are kept in the $PMTempDir folder.

The DIM Adapter for Financial Management generates two files per session run: HFM log and actual data file, which is in the XML format. The log file is always copied into the session execution log. The actual data file assists troubleshooting.


Creating Financial Management Transformations

You use Financial Management transformations within a mappings to import dimensions into a Financial Management application. Then, from Warehouse Designer, you create a commit target for the metadata. See Creating Commit Targets.

To create a Financial Management transformation:

  1. From the Transformation Developer window in Designer, select Transformation > Create.

    The Import Dimension dialog box for the selected dimension appears.

    The entry in the Target Name box uses this format: Import dimension type. The target named in the preceding figure imports the Accounts dimension.

    If you change the dimension type, the target name changes accordingly. For example, if the target name is Import Accounts and you select the Scenarios from the Dimension Type list, the target name changes to Import Scenarios.

  2. Select a dimension type, and click OK to create the transformation.

Tip: You can also create a Financial Management transformation by clicking one of these toolbar buttons, depending on the type of transformation you are creating:

The Import Dimension dialog box appears with the selected and the Dimension Type list unavailable.

The following figure shows an example of a Financial Management transformation for loading accounts:

In the preceding figure, the input group AccoutInput has all metadata load ports specified. The output group AccountOutput has only one port, ImportAccounts. To load metadata into a Financial Management application, you connect the output port with the commit target.

The transformation transforms all information from the input ports into the Financial Management native format. Each input row generates one row of the output. The commit target packages values from output ports of multiple transformations and sends them to a Financial Management application.


Mapping Transformations to Commit Targets

Use the Mapping Designer to connect the output ports in transformations to input ports in a commit targets. In the following figure, the ImportAccounts output port in the LoadAccounts Financial Management transformation is connected to the ImportAccounts input port in the Commit target for the Comma application.

You can create a Union transformation to join multiple dimensions. A Union transformation has multiple input groups and one output group.

Tip: For convenience, you can import the m_Commit_HFM.XML sample mapping that is provided with the DIM Adapter for Financial Management and then use select the mplt_HFMMetaDataLoad mapplet as a shell for a Union transformation. The sample mapping is in the DIM Adapter for Financial Management installation folder under the samples folder.

For more information, see the “Union Transformation” chapter in the Informatica PowerCenter Transformation Guide.


Creating and Configuring Hyperion Financial Management Workflows

This chapter includes the following topics:

  • Overview
  • Creating Financial Management Mappings
  • Configuring a Session with a Financial Management Mapping


Overview

After you create Financial Management sources and targets in the Designer, you can create mappings using the sources or targets. You can use these mappings in the ETL process.

You can also create Mappings in the Mapping Designer and workflows in the Workflow Manager.

Before configuring a Financial Management workflow, you must complete the following tasks:

  • Configure a registered server. Configure a registered server to run workflows. For more information about registering a server, see the PowerCenter Installation and Configuration Guide.
  • Configure source and target connections. To read data from Financial Management or write data to Financial Management during a workflow, you need to configure an application connection for Financial Management sources and targets in the Workflow Manager.

Note: You cannot use a connection variable for an application connection. For more information about connection variables, see the PowerCenter Workflow Administration Guide.


Creating Financial Management Mappings

You can create a Financial Management mapping in many ways. Use the following procedure to create it from a Financial Management source to a flat file target.

To create a Financial Management mapping:

  1. In the Designer, click Tools > Mapping Designer.

    The Mapping Designer window appears.

  2. To create a new mapping, click Mappings > Create.
  3. Enter a mapping name.
  4. Drag the Financial Management Source from the Repository into the Mapping Designer.

    The Mapping Designer shows a source table definition and a SQ table. This is called the Source Qualifier of the selected table.

  5. Create a Target to which you can import the data from the Financial Management source.
  6. Create a flat file Target with columns corresponding to a Financial Management source.

    For more information about creating flat file sources and targets, see the Informatica PowerCenter User Guide.

  7. Assuming that a flat file exists as a target for Informatica, drag it into the mapping designer.
  8. Drag a Target, that is, an existing flat file into the mapping designer.
  9. Link the fields with Names.

  10. Drag the fields from the Application Source Qualifier to the fields in the target definition, to create link between them.

    This creates links between the Application Source Qualifier fields and the target fields.

  11. Press Ctrl + S to save the mapping.

    This creates a mapping from the Financial Management source to a flat file target. You can use this mapping to create and configure a session using this mapping.


Configuring a Session with a Financial Management Mapping

You can configure a session with a Financial Management mapping. Use the following procedure to configure a session with a Financial Management mapping.

To configure a session with a Financial Management mapping:

  1. In the Workflow Manager, click Tools > Workflow Manager.

  2. To create a new workflow, click Workflows > Create.

  3. To create a new task, click Tasks > Create.

    The Create Task dialog box appears.

  4. Select the Session task type from the list.
  5. In the Enter a name for this task, enter a task name.
  6. Click Create.
  7. In the Mappings dialog box, select the mapping created above.
  8. Click OK.

  9. In the Create Task dialog box, click Done.

    This creates a task.

  10. Select Task > Link Task.
  11. Connect Start with the session name.
  12. Select the task.
  13. Edit the task properties.
  14. In the Edit Tasks dialog box, click the General tab.
  15. Select a Server for the task.

  16. In the Mapping tab, verify if the Application Connection type for the source is set to a Financial Management Connection.

    HFM_READER is the reader type for the SQ_table1.

  17. Set the tracing level to see data and initialization information in the session log.

    Some data records cannot be loaded for the following reasons:

    • If the datatypes are incompatible and the session fails.
    • If the data is in the shared mode and the Shared check box is not selected.
    • If the target precision is smaller than the load value.
  18. In the Properties tab, enter the Parameter Filename.

    Enter the values for the mapping parameters defined in the mapping above.

  19. To save the task properties, click Apply.
  20. To close the Edit Tasks dialog box, click OK.
  21. Create the Parameter File specified above at the appropriate location. The structure of the Parameter File is as follows:

    -------------------------------------------------------------------------

    [<Name of the session>]

    $$Scenario=Actual

    $$Year=

    $$View

    $$Account=

    $$Entity=

    $$Period=

    -------------------------------------------------------------------------

    <Name of the session> is the name of the task in the workflow. $$Scenario is the mapping parameter created for the mapping. Actual is the parameter value you specify.

    Note: For more information about creating mapping variables and parameters, see Mapping Variables for Hyperion Financial Management.

    Similarly, perform multiple mapping parameters for one task:

    -------------------------------------------------------------------------

    [<Name of the session>]

    $$Scenario=Actual

    $$Period = July

    --------------------------------------------------------------

    Ensure that the type of all the mapping parameters created in the Mapping Designer is String and that they have the correct precision.

  22. To save the workflow, press Ctrl + S.
  23. Assign a server to the workflow.

    You can now execute the workflow by selecting the task or the workflow.


Ports

This chapter includes the following topics:

  • Commit Ports and Properties
  • Source Table Ports
  • Target Tables


Commit Ports and Properties

A commit target has these properties:

  • Replace Mode—Specifies if the changes are to be saved to the application using the Replace Mode. Valid values:
    • “Y”—Replace data in the application.
    • “N"—Do not replace data in the application.
  • Clear Dimensions—Specifies whether data and metadata for all dimensions are cleared before importing metadata. Valid values:
    • "Y"—Clear all dimensions and then import the new dimension members.
    • “N”—Import dimension member value without first clearing metadata.


Source Table Ports

Export Data is the only source table. Dimension names are fixed, with the custom dimension names fixed as Custom1, Custom2, Custom3, and Custom4.

The Export Data table has these ports:

  • Scenario—Scenario dimension member name

    Example: Actual

  • Year—Year dimension member

    Example: 2007

  • Entity—Entity dimension member name in Parent.Child format

    Example: United States.NewYork

  • Account—Account dimension member name

    Example: Sales

  • Value—Value dimension member name

    Example: USD

  • ICP—Intercompany Partner dimension member name

    Example: [ICP Entities]

  • Custom1...4—Custom dimension 1, 2, 3, or 4 member name

    Example: AllCustomers

  • Period—The name of the period being exported
  • Data Value—Data value associated with the intersection
  • Description—Data value description


Target Tables

Dimension names in target tables are fixed, with the custom dimension names fixed as Custom1, Custom2, Custom3, and Custom4.

Data Loading Ports

These ports are available for data loading:

  • Scenario—Scenario dimension member name.

    Example: Actual

  • Year—Year dimension member.

    Example: 2007

  • Entity—Entity dimension member name in Parent.Child format.

    Example: United States.NewYork

  • Account—Account dimension member name.

    Example: Sales

  • Value—Value dimension member name.

    Example: USD

  • ICP—Intercompany Partner dimension member name.

    Example: [ICP Entities]

  • Custom1...4—Custom dimension 1, 2, 3, or 4 member name.

    Example: AllCustomers

  • Period1..n—User-specified number of period columns to be created in the target table.
  • Data Value1..n—User-specified number of data value columns to be created in the target table.
  • Description1..n—Description for each data value.

Consolidate Ports

A consolidate target has these input ports.

  • Scenario—Specifies the Scenario dimension member to consolidate. This port is required.
  • Year—Specifies the Year dimension member to consolidate.
  • Period—Specifies the Period dimension member to consolidate.
  • Parent.Entity—Specifies the combination of parent and child Entity dimension members to consolidate; specify this in a string of the form "parent.child". For example, "United States.NewYork" represents the parent UnitedStates and child NewYork.
  • Type—Specifies the type of consolidate to perform. Consolidation types and the letters that represent them:
    • "I"—Consolidate
    • "D"—Consolidate All with Data
    • "A"—Consolidate All
    • "C"—Calculate Contribution
    • "F"—Force Calculate Contribution

Import Accounts Transformation Ports

A Financial Management transformation for importing Accounts metadata has these ports:

  • Member—An account label.

    This port is required.

  • Description—A description for the account.
  • Parent Member—The parent account member.
  • Account Type—The account type.

    This port is required. Valid values:

    • “Asset”
    • “Liability”
    • “Revenue”
    • “Expense”:
    • “Flow”
    • “Balance”
    • “Balance Recurring”
    • “Currency Rate”
    • “Group Label”
    • “Dynamic”
    • “Equity”
  • Is Calculated—”Y” if the account is calculated, or “N” if the account is not calculated and accepts manual input.
  • Is Consolidated—”Y” if the account is consolidated into a parent account, or “N” if the account is not consolidated.
  • Is ICP—A code indicating whether the account allows intercompany transactions:
    • "Y" if ICP transactions, including self-ICP transactions, are allowed
    • "N" if ICP transactions are not allowed for the account
    • "R" if ICP transactions are allowed for this account, but the account is restricted from having ICP transactions with itself

Note: If you specify "Y" or "R", you can enter the name of the ICP TopMember. The default is [ICP TOP].

  • Plug Account—Name of the account used for identifying discrepancies in intercompany transactions.

    This port is required if intercompany transactions are allowed for this account.

  • Custom1...4 TopMember—Top member in the hierarchy of a Custom dimension that is valid for the account.

    The specified member, including all of its parents and descendants, is valid for the account. All other members of the custom dimension are not valid for the account. These ports are required if intercompany transactions are allowed for this account.

  • Number of Decimal Places—Number of digits (from 0 to 9) to display to the right of the decimal point for the account values.

    This port is required.

  • Use Line Items—"Y" if the account uses line items, or “N" if the account does not use line items.
  • Aggr Custom 1…4—Code indicating whether aggregation is enabled for intersections of the account and the custom dimensions:
    • "Y" if the account is allowed to aggregate with custom dimensions
    • "N" if the account cannot aggregate with custom dimensions
  • User Defined 1…3—Custom text for the account.
  • XBRL Tag— XBRL tags for the account.
  • Security Class—Name of the security class that defines which users can access the account data.
  • ICP Top Member— Top member of the ICP group assigned to the account.
  • Enable Data Audit—”Y” if data auditing is enabled for the account, or “N” if data auditing is not enabled for the account.
  • Description 2...10—Additional descriptions.

Import Entities Transformation Ports

A Financial Management transformation for importing Entities metadata has these ports:

  • Member—An entity label.

    This port is required.

  • Description—A description for the entity.
  • Parent Member—The parent entity member.
  • Default Currency—Default currency for the entity

    This port is required.

  • Allow Adj—”Y” if journal postings are permitted for the entity, or “N” if journal postings are not permitted for the entity.
  • Is ICP—”Y” if the entity is an intercompany entity, or “N” if the entity is not an intercompany entity.

    Note: If the entity is an intercompany entity, it is displayed in the POV in the ICP dimensions under [ICP Entities].

  • Allow Adj From Child—”Y" if journal postings from children are permitted for this parent entity, or “N” if journal postings from children are not permitted for this parent entity.
  • Security Class—Name of the security class that defines which users can access the entity's data.
  • As Partner Security Class—Name of a valid security class for the ICP entity.
  • User Defined 1…3—Custom text for the entity.
  • Holding Company—Holding company for the entity.

    You can enter an entity name.

  • Description 2...10—Additional descriptions.

Import Scenarios Transformation Ports

A Financial Management transformation for importing Scenarios metadata has these ports:

  • Member—A scenario label.

    This port is required.

  • Description—A description for the scenario.
  • Parent Member—The parent scenario member.
  • Default Frequency—Types of periods for which data input is valid for the scenario

    This port is required.

  • Default View—The view as either YTD or Periodic when <Scenario View> is selected in the Point of View bar.

    This port is required.

  • Zero View Non Adj—The view as either YTD or Periodic when there are missing, nonadjusted data values.

    This port is required.

  • Consol YTD—The view for consolidations: “Y” for YTD, or “N” for Periodic.

    This port is required.

  • Support PM—"Y" to enable the Process Management menu option in the Data Explorer, or “N” to disable Process Management.

    This port is required.

  • Security Class—Name of the security class that defines which users can access the scenario's data.
  • Maximum Review Level—The maximum process management review level for the scenario; an integer from 1 to 10.
  • Use Line Items—"Y" if the scenario can accept line items, or “N" if the scenario cannot accept line items.
  • Enable Data Audit—”Y” to enable data auditing for the scenario, or “N” to disable data auditing for the scenario.
  • Def Freq For IC Trans—Default frequency for intercompany transactions.

    Enter a string that identifies a valid frequency for the application.

  • User Defined 1…3—Custom text for the scenario.
  • Description 2...10—Additional descriptions.

Import Currencies Transformation Ports

A Financial Management transformation for importing Currencies metadata has these ports:

  • Member—A currency label.

    This port is required.

  • Description—A description for the currency.
  • Scale—The unit in which amounts are displayed and store for the currency by identifying where the decimal point is placed:
    • Blank=None
    • 0 = Units
    • 1 = Tens
    • 2 = Hundreds
    • 3 = Thousands
    • 4 = Ten Thousands
    • 5 = Hundred Thousands
    • 6 = Millions
    • 7 = Ten Millions
    • 8 = Hundred Millions
    • 9 = Billions
  • Translation Operator—”D” if conversions for the currency are calculated by or dividing the translation rate, or “M” if conversions are calculated by multiplying the translation rate.
  • Description 2...10—Additional descriptions.

Import Custom1...Custom4 Transformation Ports

A Financial Management transformation for importing custom dimension metadata has these ports:

  • Custom Number—Number of the Custom dimension ("1" for the Custom1 dimension, "2" for the Custom2 dimension, and so on.)

    This port is required.

  • Member—A custom dimension member label.

    This port is required.

  • Description—A description for the custom dimension member.
  • Parent Member—The parent custom dimension member.

    This port is required.

  • Is Calculated—"Y" if this custom account is calculated, or “N” if this custom account is not calculated.

    If a base-level Custom account is calculated, you cannot manually enter values.

  • Switch Sign—A code indicating sign change (Debit/Credit) for flow accounts using the following rules:
    • Asset to Liability
    • Liability to Asset
    • Expense to Revenue
    • Revenue to Expense
    • Balance to Flow
    • Flow to Balance

      Enter “Y” if the account type for the account is switched, or “N” if the account type is not switched.

  • Switch Type—A code indicating the account type change for FLOW accounts using the following rules:
    • ASSET to EXPENSE
    • EXPENSE to ASSET
    • LIABILITY to REVENUE
    • REVENUE to LIABILITY
    • BALANCE to FLOW
    • FLOW to BALANCE

      Enter “Y” if the account type for the account is switched, or “N” if the account type is not switched.

  • Security Class—Name of the security class that defines which users can access the custom dimension's data.
  • User Defined 1…3—Custom text for the custom dimension.
  • Aggr Weight—The aggregation weight for the custom dimensions.
  • Description 2...10—Additional descriptions.

Commit Target Ports

A commit target has these input ports:

  • ImportAccounts—Must be connected with the ImportAccounts output port of the appropriate Financial Management transformation.
  • ImportEntities—Must be connected with the ImportEntities output port of the appropriate Financial Management transformation.
  • ImportScenarios—Must be connected with the ImportScenarios output port of the appropriate Financial Management transformation.
  • ImportCurrencies—Must be connected with the ImportCurrencies output port of the appropriate Financial Management transformation.
  • ImportCustom1...4—Must be connected with the ImportCustom output port of the appropriate Financial Management transformation.


Port for Importing Scenarios Custom Transformations

A port for loading metadata PhasedSubStartYear to Scenario dimension.

  • Member—Specifies the label of a scenario. This port is required.
  • Description—Specifies the description for a scenario. This port is required.
  • Parent Member—Specifies the parent scenario member. Default is blank.
  • Default Frequency—Specifies the types of periods for which data input is valid for the scenario. This port is required.
  • Default View—Specifies the view as either YTD or Pefiodic when <Scenario View> is selected in Point of View. This port is required.
  • Zero View Non Adj—Specifies the view as either YTD or Periodic when there are missing, nonadjusted data values. This port is required.
  • Zero View Adj—Specifies the view as either YTD or Periodic when there are missing, adjusted data values. This port is required.
  • Consol YTD—Specifies the view for consolidations. This port is required. Specify one these values.
    • Y for YTD
    • N for Periodic
  • Support PM—Specifies if Process Management functionality is enabled. Specify one of these values:
    • Y for enabling the Process Management menu option in the Data Explorer
    • N for disabling Process Management
  • Security Class—Specifies the name of a valid security class, if any, which defines the users who can access the scenario's data. The default value is the Default security class.
  • Maximum Review Level—The maximum process management review level for the scenario. Valid review levels are 1 to 10.
  • User Line Items—Specifies if a scenario can have line items. Specify one of these values:
    • Y if the scenario can accept line items
    • N if the scenario cannot accept line items
  • Enable Data Audit—Specifies whether data auditing is enabled for the scenario. By default, auditing is disabled for scenarios.
    • Y to enable auditing
    • N to disable auditing
  • Def Freq For IC Trans—Specifies the default frequency for intercompany transactions. Enter a string that identifies a valid frequency for the application. The default value is an empty string, which represents no default frequency.
  • User Defined 1...3—Specifies custom text for the scenario. Default value is null.
  • Description 2...10—Specifies additional descriptions.
  • PhasedSubStartYear—Could be 0.


Datatypes

This appendix includes the following topic:

  • Datatypes


Datatypes

PowerCenter uses the following datatypes in Financial Management mappings:

  • Financial Management datatypes. Financial Management datatypes appear in Financial Management source definitions in a mapping.
  • Transformation datatypes. Transformation datatypes are generic datatypes that PowerCenter uses during the transformation process. They appear in all transformations in a mapping.

Financial Management and Transformation Datatypes

When the PowerCenter Server reads data from a Financial Management source, it converts data fields to transformation datatypes used in the Application Source Qualifier transformation. When writing data to a Financial Management target, the PowerCenter Server converts the data based on the native datatypes in the target documents.

Table A-1 lists the Financial Management datatypes and the corresponding transformation datatypes that PowerCenter supports:

Table A-1. Financial Management and Corresponding Transformation Datatypes
Financial Management Datatype | Transformation Datatype | Range and Description
Numeric | Decimal | Precision of 1 to 15.
Text | String | Precision of 1 to 79.


Mapping Variables for Hyperion Financial Management

This appendix includes the following topics:

  • Overview
  • Financial Management and Mapping Variables
  • Using Mapping Variables with Informatica
  • Default Values of Mapping Variables
  • Format of Values for Mapping Variables


Overview

The following sections describe the mapping variables used in the Financial Management source.


Financial Management and Mapping Variables

Use the mapping variables in the source definition to filter out dimension members of a Financial Management application.


Using Mapping Variables with Informatica

You can use mapping variables with Informatica, declare them, create a parameter file and then specify the parameter file path.

To use mapping variables with Informatica:

  1. In the Create Table for Source dialog box, enter a Mapping Variable for the Scenario, Year, View, Entity, Account, and Period dimensions when you import a Financial Management source.

    Mapping variables are stored as $$Scenario, $$Year, $$View and so on, in the repository. Use these names to reference mapping variables.

  2. Declare the mapping variables in the session in the Declare Parameters and Variables dialog box.

  3. Create a param.txt parameter file.
  4. Enter values for the mapping variables in this file.

    You must enter the mapping variable name in this file, even if you do not enter a mapping variable value.

    The following figure shows a parameter file.

    The session name is HFMDemoTask. The $$Scenario, $$View and $$Account values are NULL. When you enter a mapping variable value as NULL, the adapter extracts data for all dimensions associated with the mapping variable.

  5. In the Edit Tasks dialog box, enter the parameter file path.


Default Values of Mapping Variables

Table B-1 describes the adapter behavior if you do not define the mapping variable or do not provide a mapping variable value in Dimensions.

Table B-1. Default Values for Mapping Variables
Dimension | Description
Scenario | The adapter extracts data for all Scenarios.
Period | The adapter extracts data for all Periods.
Year | The adapter extracts data for all Years.
Entity | The adapter extracts data for all Entities.
Account | The adapter extracts data for all Accounts.
View | The adapter extracts data for the <Scenario View>.


Format of Values for Mapping Variables

You can specify one value, multiple values separated by commas, a list of values or a parameterized list of values for the mapping variables of dimensions. You can also specify one parent child relationship separated by a period for the entity dimension.

Examples: The following examples show the format of values for mapping variables. When you import a Financial Management source, specify $$Scenario as the mapping variable for the Scenario dimension. In the session, if you define $$Scenario as the mapping variable using Define mapping variables and parameters, you can specify the values for mapping variables in the parameter file using the following format. Consider DemoSession as the session name:

  1. Using one value in the dimension to extract the Actual scenario:

    --------------------------

    [DemoSession]

    $$Scenario=Actual

    --------------------------

  2. Using multiple values separated by commas in the dimension to extract the Actual and Budget scenarios:

    ------------------------------------

    [DemoSession]

    $$Scenario=Actual,Budget

    ------------------------------------

  3. Using user defined values to extract all scenario dimensions specified in myScenario:

    -------------------------------

    [DemoSession]

    $$Scenario=myScenario

    --------------------------------

  4. Using predefined values to extract all scenario dimensions specified in the Hierarchy:

    --------------------------------

    $$Scenario=[Hierarchy]

    --------------------------------

  5. Using parameterized values to extract all scenario dimensions that are Children of Actual:

    ---------------------------------------

    $$Scenario=[Children].Actual

    ---------------------------------------

    You can specify a single parent-child relationship separated by a period for the entity dimension. For example, United States.NewYork

Note: You cannot specify different values types for one mapping variable.

For example, you cannot specify Actual,[Children].Actual as the value of mapping variable in the parameter file.


Extracting Data from Hyperion Financial Management Application

This appendix includes examples on the following topics:

  • Extracting Data for Dimensions in Source Definition
  • Extracting Data for Values of Mapping Variables


Extracting Data for Dimensions in Source Definition

The following example describes the steps to extract data for all dimensions in the source definition.

Creating Financial Management Source Definitions

Use the following procedure to create a Financial Management source definition.

To create a Financial Management source definition:

  1. Open the PowerCenter Designer.
  2. In the Source Analyzer, click Sources > Import from Hyperion Financial Management.

    The Import Hyperion Financial Management dialog box appears.

  3. In the Import Hyperion Financial Management dialog box, click Browse next to the DSN Name list.
  4. In the DSN Creation dialog box, enter information.
  5. To check if the connection is valid, click Test Connectivity.
  6. Click Save.
  7. In the Import Hyperion Financial Management dialog box, select a DSN from the list.
  8. Enter a password.
  9. Click Connect.

    A list of applications available in the cluster appear in the left tree view.

  10. Select an application.
  11. Click Create Table.

    The Create Table for Source dialog box appears.

  12. In the Table Name, enter a name for the table.
  13. Use “>”, “>>”, “<”, “<<” to select one or many Dimensions.

  14. You can change the Column Name, Precision, Scale and Mapping Variables to define a table in the repository. The table contains dimensions from its corresponding application.

    Scenario, Year, View, Entity, Account, and Period dimensions have mapping variables. You can filter out members of the dimension using mapping variables.

  15. To go to the Import Hyperion Financial Management dialog box, click OK.

    The table created appears in the window on the right in a list box.

  16. Click OK in the Import Hyperion Financial Management dialog box.

    This creates a source in the PowerCenter Designer.

Creating a Flat File Target Definition

Use the following procedure to create a flat file target definition.

To create a flat file target definition:

  1. In the Informatica Designer, click Targets > Create.

    The Create Target Table dialog box appears.

  2. In Enter a new name for this target table, enter the target table name.
  3. In Select the database type for this, select Flat File from the list.
  4. Click Create.
  5. Enter the target name.
  6. Click Done.
  7. Right-click the flat file, and choose Edit.
  8. In the Edit Tables dialog box, select the Column tab.
  9. Add the column names required for extracting data from Financial Management.

  10. In the Precision Column, enter proper precision for all columns.
  11. In the Scale Columns, enter scale values for all the Columns.
  12. Close the Edit Tables dialog box.
  13. Press Ctrl + S to save.

Creating a Mapping

Use the following procedure to create a mapping.

To create a mapping:

  1. In the Designer, click Tools > Mapping Designer.

    The Mapping Designer window appears.

  2. Click Mappings > Create to create a new mapping.
  3. Enter a New Mapping Name.
  4. Click OK.
  5. Drag the Source Definition from the Repository into the Mapping Designer.
  6. Drag the Target Definition from the Repository into the Mapping Designer.
  7. Drag the fields from the Application Source Qualifier into the fields in the Target Definition to create link between them.
  8. Right-click the Mapping Designer, and choose Auto link.

    The Auto link dialog box appears.

  9. Select Position or Name option.
  10. Click OK.
  11. Press Ctrl + S to save.

Creating a Workflow and a Session Task

Use the following procedure to create a workflow and a session task.

To create a workflow and a session task:

  1. In the Repository Navigator toolbar, click the Workflow Manager.

    The Workflow Manager appears.

  2. In the Workspace toolbar, click Workflow Designer.

    The Workflow Designer appears.

  3. To create a new workflow, click Workflows > Create.
  4. Enter the Workflow Name.
  5. Click OK.
  6. To create a new task, click Tasks > Create.

    The Create Task dialog box appears.

  7. Select the Session task type from the list.
  8. In Enter a name for this task, enter a task name.
  9. Select the mapping created using the preceding procedure.
  10. Click Create.
  11. Click Done.

    This creates a task.

  12. To link the task, click Task > Link Task.
  13. To create HFM Connection in the Workflow Manager, click Workflow manager > Menu > Connections tab.
  14. Select the Application option.

    The Application Connection Browser dialog box appears.

  15. In the Select type list, select Financial management Connection.
  16. Click New.

    The Connection Object Definition dialog box appears.

  17. Enter the user name, password, and Cluster.
  18. Click OK.

    This creates a Connection object for the financial management type.

  19. To open a session task in the Edit mode, double-click it, and select the Mapping tab.

  20. In the session properties navigator pane, select Mapping > Sources > <Source Qualifier Name>.
  21. In the Connections area to the right of the navigator pane, select the Financial management connection object.
  22. Create the connection in the Connection Object.
  23. Click OK.
  24. Press Ctrl + S to save.

Managing Calculated Data Extractions in Financial Management Source Definitions

This option enables you to extract calculated data from Financial Management applications to source definitions.

To extract calculated data:

  1. In the Edit Tasks dialog box, select the Mapping tab.
  2. In the Mapping tab, under Sources select Financial Management source.
  3. Under Properties, select the attribute option Extract calculated.

If the Extract calculated option is selected, the calculated data such as the calculated account data for a fixed scenario, year, period, entity, and value are exported from a Financial Management source Definition.

Running the Workflow and Monitoring the Results

Use the following procedure to run the workflow and monitor the results.

To run the workflow and monitor the results:

  1. To open the Workflow Monitor, right-click in a blank area in the Workflow Designer workspace, and choose Start Workflow.

  2. Maximize Workflow Monitor.
  3. To view the properties for the completed session run when the workflow run completes, right-click the Session icon, and choose Properties.
  4. To view the execution details of the session, right-click the Session icon, and choose Get Session Log.
  5. Confirm if your session properties indicate successful execution.
  6. Click OK to close the window.

Expected Results

The above procedures extract data for all the dimensions in the source definition.


Extracting Data for Values of Mapping Variables

The following example describes the steps to extract data for the values of the mapping variables you specify.

Creating a Financial Management Source Definition

Use the following procedure to create a Financial Management source definition.

To create a Financial Management source definition:

  1. Open the PowerCenter Designer.
  2. In the Source Analyzer window, click Sources > Import from Hyperion Financial Management.
  3. In the Import Hyperion Financial Management dialog box, click Browse next to the DSN Name list.
  4. Enter information in the DSN Creation dialog box.
  5. Click Test Connectivity.
  6. Click Save.
  7. In the Import Hyperion Financial Management dialog box, select a DSN from the list.
  8. Enter a password.
  9. Click Connect.

    A list of applications available in the cluster appear in the left tree view.

  10. Select an application.
  11. Click Create Table.

    The Create Table for Source dialog box appears.

  12. In the Table Name, enter a name.
  13. Use “>”, “>>”, “<”, “<<” to select one or many Dimensions.

  14. You can change the Column Name, Precision, Scale and Mapping Variables to define a table in the repository. The table contains dimensions from its corresponding application.

    Scenario, Year, View, Entity, Account, and Period dimensions have mapping variables. You can filter out members of the dimension using mapping variables.

  15. To go to the Import Hyperion Financial Management dialog box, click OK.

    The created table appears in the window in the Created Tables tree on the right.

  16. In the Import Hyperion Financial Management dialog box, click OK.

    This creates a source in PowerCenter Designer.

Creating a Flat File Target Definition

Use the following procedure to create a flat file target definition.

To create a flat file target definition:

  1. In the Informatica Designer, click Targets > Create.

    The Create Target Table dialog box appears.

  2. In Enter a new name for this target table, enter the target table name.
  3. In Select the database type for this, select Flat File from the list.
  4. Click Create.
  5. Enter the target name.
  6. Click Done.
  7. Right-click the flat file, and choose Edit.
  8. In the Edit Tables dialog box, select the Column tab.
  9. Add the column names required to extracting data from Financial Management.
  10. In the Precision Column, enter precisions for all the columns.
  11. In the Scale Columns, enter scale values for all the columns.
  12. Close the Edit Tables dialog box.
  13. To save, press Ctrl + S.

Creating a Mapping

Use the following procedure to create a mapping.

To create a mapping:

  1. In the Designer, click Tools > Mapping Designer.

    The Mapping Designer window appears.

  2. To create a new mapping, click Mappings > Create.
  3. Enter a New Mapping Name.
  4. Click OK.
  5. Drag the source definition from the Repository into the Mapping Designer.
  6. Drag the target definition from the Repository into the Mapping Designer.
  7. Drag the fields from the Application Source Qualifier into the fields in the target definition to create link between them.
  8. Right-click Mapping Designer, and choose Auto link.

    The Auto link dialog box appears.

  9. Select Position or name option.
  10. Click OK.
  11. To save, press Ctrl + S.

Declaring Mapping Variables

Use the following procedure to declare mapping variables.

To declare mapping variables:

  1. In the Create Table for Source dialog box, enter a Mapping Variable for the Scenario, Year, View, Entity, Account and Period dimensions when you import a Financial Management source.

    Mapping variables are stored as $$Scenario, $$Year, $$View, and so on, in the repository. Reference the mapping variables using these names.

  2. In the Designer, click Mapping > Parameters and Variables.

    The Declare Parameters and Variables dialog box appears.

  3. In the Declare Parameters and Variables dialog box, enter the Name of the mapping variables in the session.
  4. Change Type to Parameter.
  5. Set Precision values for the mapping variables declared.
  6. Click OK.

Creating a Financial Management Connection in Workflow Manager

Use the following procedure to create a HFM connection in Workflow Manager.

To create a HFM connection in Workflow Manager:

  1. In the Workflow Manager, connect to a PowerCenter repository.
  2. Choose Connections > Application.

    The Application Connection Browser dialog box appears.

  3. Click New.

    The Select Subtype dialog box appears.

  4. In the Select Subtype list, choose Financial Management Connection.
  5. Click OK.

    The Connection Object Definition dialog box appears.

  6. Enter a application connection name.
  7. Enter a user name and password.
  8. In Cluster attribute, enter the name of the registered cluster where the Financial Management application runs.
  9. Click OK.

    The new application connection appears in the Application Connection Browser dialog box.

Creating a Workflow and a Session Task

Use the following procedure to create a workflow and a session task.

To create a workflow and a session task:

  1. In the Repository Navigator toolbar, click Workflow Manager.

    The Workflow Manager appears.

  2. In the Workspace toolbar, click Workflow Designer.

    The Workflow Designer appears.

  3. Click Workflows > Create to create a new workflow.
  4. Enter the workflow name.
  5. Click OK.
  6. To create a new task, click Tasks > Create.

    The Create Task dialog box appears.

  7. In the list, select the Session task type.
  8. In Enter a name for this task, enter a task name.
  9. Select the mapping created above.
  10. Click Create.
  11. Click Done.

    This creates a task.

  12. To link the task, click Task > Link Task.
  13. Create Financial Management Connection in the Workflow Manager. You can do this by performing the following:
    • Click Workflow manager > Menu > Connections.
    • Select the Application option.

      The Application Connection Browser dialog box appears.

    • In the Select type list, select Financial Management Connection.
    • Click New.

      The Connection Object Definition dialog box appears.

    • Enter user name, password and Cluster.
    • Click OK.

      This creates a Connection object for the financial management type.

  14. To open the session task in Edit mode, double-click it.
  15. Select the Mapping tab.
  16. In the session properties navigator pane, select Mapping > Sources > <Source Qualifier Name>.
  17. In the Connections area to right of the navigator pane, select the Financial management connection object.
  18. Click OK.
  19. Press Ctrl + S to save.

Creating a Parameter File

Use the following procedure to create a parameter file.

To create a parameter file:

  1. Create a param.txt parameter file.

    You must enter the mapping variable name in this file, even if you do not enter a mapping variable value. This file should also contain the session name.

    Use the following syntax:

    [session_name]

    $$VarName1 = value1,value2

    $$VarName2 = xyz

    $$VarName1 = www

  2. Enter the Session name.
  3. Enter the mapping variables defined in the source definition.
  4. Enter values for the mapping variables.
  5. In the Edit Tasks dialog box, enter the parameter file path.

Associating the Financial Management Connection with the Task using Session Properties

Use the following procedure to associate the Financial Management connection with the task using session properties.

To associate the Financial Management connection with the task using session properties:

  1. To see data and initialization information in the session log, set the tracing level in the Edit Tasks dialog box.

Run the session task after you complete all the procedures in this example.

Expected Results

The above procedures should extract data for every mapping variable value you specify.


Loading Data in Hyperion Financial Management Application

This appendix includes an example on the following topic:

  • Loading Data in a Target Definition


Loading Data in a Target Definition

The following example describes the steps to load data in a target definition.

Creating a Financial Management Target Definition

Use the following procedure to create a Financial Management target definition.

To create a Financial Management target definition:

  1. Open the PowerCenter Designer.
  2. In the Source Analyzer window, click Targets > Import Financial Management Target.

    The Import Financial Management Target dialog box appears.

  3. In the Import Financial Management Target dialog box, click Browse next to the DSN Name list.

    The DSN Creation dialog box appears.

  4. In the DSN Creation dialog box, enter information.
  5. To check if the connection is valid, click Test Connectivity.
  6. On a successful connection, click Save.
  7. In the Financial Management Target dialog box, select a DSN from the list.
  8. Enter a password.
  9. Click Connect.

    A list of applications available in the cluster appears in the left tree view.

  10. Select an application and click Create Table.

    The Create Table for Target dialog box appears.

  11. In Table Name, enter a name for the table.
  12. Select the import mode from the Import mode list.

    The imports modes available are Accumulate, Merge, Replace, or Replace by security.

  13. Select Accumulate in file, if required.
  14. Select File Contains shared data.

    Select this option if the file contains ownership or share information. If you do not select this option, an error generates when loading data. Hence, data fails to load.

  15. To import description in the target table, select Enable Description.
  16. In Period, enter number of periods.
  17. To return to the Import Financial Management Target dialog box, click OK.

    The created table appears in the window on the Created Tables tree at the right.

  18. In the Import Financial Management Target dialog box, click OK.

    This creates a target in the PowerCenter Designer.

Creating a Flat File Source Definition

Use the following procedure to create a flat file source definition.

To create a flat file source definition:

  1. Create a *.dat file.
  2. In the file, enter data to load in Financial Management.
  3. Save it in the SrcFiles folder.

    For example, D:\Program Files\Informatica PowerCenter 7.1.4\Server\SrcFiles.

  4. Open the PowerCenter Designer.
  5. In the Source Analyzer window, click Sources > Import From File.
  6. Browse to the location of the *.dat file.
  7. Click OK.

    The Flat File Import Wizard appears.

  8. Enter valid information in the Flat File Import Wizard.
  9. Click Finish.

    This creates a flat file source definition.

Creating a Mapping

Use the following procedure to create a mapping.

To create a mapping:

  1. In the Designer, click Tools > Mapping Designer.

    The Mapping Designer window appears.

  2. To create a new mapping, click Mappings > Create.
  3. Enter a New Mapping Name.
  4. Click OK.
  5. Drag the source definition from the Repository into the Mapping Designer.
  6. Drag the target definition from the Repository into the Mapping Designer.
  7. Drag the fields from the Application Source Qualifier into the fields in the target definition to create link between them.
  8. Press Ctrl + S.

Creating a Workflow and a Session Task

Use the following procedure to create a workflow and a session task.

To create a workflow and a session task:

  1. In the Repository Navigator toolbar, click Workflow Manager.

    The Workflow Manager appears.

  2. In the Workspace toolbar, click Workflow Designer.

    The Workflow Designer appears.

  3. To create a new workflow, click Workflows > Create.
  4. Enter a workflow name.
  5. Click OK.
  6. To create a new task, click Tasks > Create.

    The Create Task dialog box appears.

  7. In the list, select the Session task type.
  8. In Enter a name for this task, enter a task name.
  9. Select the mapping created above.
  10. Click Create.
  11. Click Done.

    This creates a task.

  12. Click Task > Link Task, and link the task with the workflow.
  13. Use the following procedure to create Financial Management Connection in the Workflow Manager:
    • Click Workflow manager > Menu > Connections.
    • Select the Application option.

      The Application Connection Browser dialog box appears.

    • In the Select type list, select Financial Management Connection.
    • Click New.

      The Connection Object Definition dialog box appears.

    • Enter user name, password and Cluster.
    • Click OK.

      This creates a Connection object for the financial management type.

  14. To open the session task in the Edit mode, double-click it.
  15. Select the Mapping tab.
  16. In the session properties navigator pane, click Mapping > Targets > <Source Qualifier Name>.
  17. In the Connections area to the right of the navigator pane, select the Financial Management Connection object created in step 13.
  18. Click OK.
  19. Press Ctrl + S to save.

Running Workflow and Monitoring the Results

Use the following procedure to run workflow and monitor the results.

To run workflow and monitor the results:

  1. To open the Workflow Monitor, right-click in a blank area in the Workflow Designer workspace, and choose Start Workflow.

  2. Maximize the Workflow Monitor.
  3. To view the properties for the completed session run, when the workflow run completes, right-click the Session icon, and choose Properties.
  4. To view the execution details of the session, right-click the Session icon, and choose Get Session Log.

    You can view the outcome results in the *.out-file. When you start a session, the writer can reject some data. This data goes to the *.bad-file.

    During a session, the PowerCenter Server creates a reject file for each target instance in the mapping. If the writer or the target rejects data, the PowerCenter Server writes the rejected row into the reject file. The reject file and session log contain information that helps you determine the cause of the reject.

  5. Confirm that the session properties indicate successful execution.
  6. To close the window, click OK.

Comparing Results

Use the following procedure to compare results.

To compare the results:

  1. Extract data from Financial Management application.
  2. Save it in a file.
  3. Compare the source file stored in the Srcfiles folder of Informatica with the file that contains extracted data from application.

Expected Results

The above procedures load the data into the selected target.

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV